#
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html.
# Run `pod lib lint zapt_sdk_flutter.podspec` to validate before publishing.
#
Pod::Spec.new do |s|
  s.name             = 'zapt_sdk_flutter'
  s.version          = '1.0.2'
  s.summary          = 'Zapt SDK Flutter Plugin.'
  s.description      = <<-DESC
  Zapt SDK Flutter Plugin.
                       DESC
  s.homepage         = 'https://zapt.tech'
  s.license          = { :file => '../LICENSE' }
  s.author           = { 'Zapt Tech' => 'contato@zapt.tech' }
  s.source           = { :path => '.' }
  s.source_files = 'Classes/**/*'
  s.public_header_files = 'Classes/**/*.h'
  s.dependency 'Flutter'
  s.platform = :ios, '9.0'

  s.dependency 'ZaptLocation-iOS-SDK', '~> 0.0.11'
  
  # Flutter.framework does not contain a i386 slice.
  s.pod_target_xcconfig = { 'DEFINES_MODULE' => 'YES', 'EXCLUDED_ARCHS[sdk=iphonesimulator*]' => 'i386 arm64' }
end
